<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="location">
			<ui:include src="/pages/admin/submenu.xhtml" />
		</ui:define>
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('title.admin.functioncategory')}" />
		</ui:define>
		<ui:define name="body">
				<p:panelGrid columns="2" styleClass="width100percent">
					<h:outputText value="#{facesContext.translate('label.id')}" />
					<h:outputText value="#{adminModel.functioncategory.pk}" />
					<h:outputText value="#{facesContext.translate('label.name')}" />
					<p:inputText id="name" value="#{adminModel.functioncategory.name}" required="true" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.name')}" />
					<h:outputText value="#{facesContext.translate('label.description')}" />
					<p:inputTextarea id="description" value="#{adminModel.functioncategory.description}" styleClass="inputTextarea"/>
				</p:panelGrid>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_approve" action="#{adminController.doMergeFunctioncategory}" value="#{facesContext.translate('button.approve')}" ajax="false" />
			<p:commandButton id="btn_cancel" action="#{adminController.toFunctioncategoryList}" value="#{facesContext.translate('button.cancel')}" immediate="true" ajax="false" />
		</ui:define>
		<ui:define name="help_de">
			TODO StS: Name und Beschreibung von Kategorien können verändert werden, unveränderlich bleibt die intern vergebene ID.
		</ui:define>
	</ui:composition>
</h:body>
</html>